com.sleepycat.db

## Class Lock

- java.lang.Object
- - com.sleepycat.db.Lock

-     public final class Lock
      extends java.lang.Object

  The locking interfaces for the database environment are methods of the `Environment` handle. The `Lock` object is the handle for a single lock, and has no methods of its own.

- - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.